import geopandas as gpd
import pandas as pd
import glob
import numpy as np
from choropleth import choropleth_chart

# 데이터는 행정구역 가나다순으로 넣으세요
shp = gpd.read_file('map/영천시 행정동.shp', encoding='utf-8')
shp = shp.sort_values('EMD_KOR_NM')
shp = shp.reset_index()
df = pd.read_csv("data/동별종합.csv")

colorscale = [\
    [1-0,'#E02C4E'],
    [1-0.4, '#F0E32E'],
    [1-0.7, '#6FEB75'],
    [1-1, '#5FB1F5']
]

cdf = df.iloc[:,1]
cdf += df.iloc[:,3]
choropleth_chart(shp, cdf, '2022 영천시 1인가구중 중년이상비율', f"output/1인가구 중년이상.png",
                 colorscheme=colorscale[::-1], adaptive_legend_font_size=True)